Subject: Re: Signature
From: "Mike" <[email-masked]>
To: "Rhonda R. Ames" <[email-masked]>
Date: Mon, 19 Jan 2009 15:53:15 -0500

Rhonda,
I had left him a note but he must not have seen it.  He is in Florida now.  I could tell Steve if you would like him to sign.  I am not sure when Tom is coming back.  Let me know how you prefer to proceed.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: Rhonda R. Ames 
  To: Mike Bishop 
  Sent: Monday, January 19, 2009 12:25 PM
  Subject: Signature

  Mike,

  Reminder . . . Please have Tom stop by my office to sign an Annual Report.  Thanks

  Rhonda R. Ames
  Knaggs, Harter, Brake & Schneider, P.C.
  Lansing, Michigan
  (517) 622-0590